% C.1.3 CANNY EDGE DETECTION
%
% 17/5/2012
% SAMUEL CHEYNEY
%
% SCRIPT TO CALCULATE CANNY EDGE DETECTION FROM TOTAL FIELD DATA
% INPUTS:
% a=TOTAL FIELD DATASET
% x=X-COORDINATES
% y=Y-COORDINATES
% OUTPUTS:
% canny=EDGE LOCATIONS
% thresh=THRESHOLDS APPLIED

clear all
close all

a=load('cube_noise_0_2'); % Input gridded dataset

x=0:0.1:10; % x-coordinates
y=0:0.1:10; % y-coordinates

[canny,thresh] = edge(a,'canny');

dlmwrite('thresh',thresh)

plot_grid_imagesc(x,y,double(canny),'Canny Edge Dectection',999,999,'Edge Detection','canny.png')

