function plot_grid_pcolor(x,y,z,titlename,cmin,cmax,clabel,filename)
%plotme Summary of this function goes here
%   Detailed explanation goes here

figure
pcolor(x,y,z);
colormap jet
shading flat

hold on
title(titlename)
xlabel('Easting (m)')
ylabel('Northing (m)')
colorbar
ylabel(colorbar,[clabel])
if cmin==999
%     caxis([cmin cmax])
else
    caxis([cmin cmax])
end
axis equal
axis([min(x) max(x) min(y) max(y)])

print('-dpng','-zbuffer','-r300',filename)

end

