function plot_grid_imagesc_prepared(x,y,z,titlename,cmin,cmax,clabel,filename)
%plotme Summary of this function goes here
%   Detailed explanation goes here

figure
imagesc(x,y,z);
set(gca,'ydir','normal')
colormap gray
shading flat

hold on
title(titlename)
xlabel('Samples')
ylabel('Samples')
colorbar
ylabel(colorbar,[clabel])
if cmin==999
%     caxis([cmin cmax])
else
    caxis([cmin cmax])
end
axis equal
axis([min(x) max(x) min(y) max(y)])

print('-dpng','-zbuffer','-r300',filename)

end

